precision mediump float;
varying mediump vec2 textureCoordinate;
uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main(void) {
    vec4 maskColor = texture2D(inputImageTexture2, textureCoordinate);
    maskColor.rgb *= maskColor.a;
    gl_FragColor = maskColor;
}