precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform float progress;
uniform int strength;

void main()
{
 if (strength == 0)
 {
     gl_FragColor = texture2D(inputImageTexture, textureCoordinate.xy);
     return;
 }
 if(progress == 0.0){
      gl_FragColor = texture2D(inputImageTexture, textureCoordinate.xy);
      return;
 }

 vec4 origColor = texture2D(inputImageTexture, textureCoordinate.xy);
 vec4 negtiveColor = vec4(vec3(1.0) - origColor.rgb, origColor.a);

 gl_FragColor = negtiveColor;
}

