precision mediump float;
varying vec2 textureCoordinate;
uniform sampler2D inputImageTexture;

uniform float progress;
uniform int strength;

void main()
{
    vec4 origColor = texture2D(inputImageTexture, textureCoordinate.xy);
    gl_FragColor = origColor * pow(2.0, float(strength) * 0.5 * progress);
}
