precision highp float;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
varying vec2 v_texCoords;
varying vec4 v_position;
varying vec4 v_color;
uniform vec2 wordSize;
uniform vec2 wordPosiotion;
uniform float maskNum;
uniform float curStep;//[0,1]
void main() {
    vec3 whiteColor = vec3(1.0,1.0,1.0);
    vec4 origClolr = texture2D(u_texture, v_texCoords);
    if(whiteColor.r == origClolr.r && whiteColor.g == origClolr.g && whiteColor.b == origClolr.b){
        vec2 desRelativePosition = vec2((v_position.x - wordPosiotion.x), (v_position.y - wordPosiotion.y));
        vec2 destPos = vec2(desRelativePosition.x/wordSize.x,desRelativePosition.y/wordSize.y);//算出对应的纹理坐标
        vec2 destTexturePos = vec2(mod(destPos.x,1.0/maskNum) + curStep,1.0 - destPos.y);//将算出的纹理坐标映射到mask上
        vec4 destColor = texture2D(u_texture1,destTexturePos);
        gl_FragColor = destColor*origClolr;
    }else{
        gl_FragColor = origClolr;
    }
}
