precision mediump float;
uniform sampler2D u_texture;
varying vec2 v_texCoords;
varying vec4 v_position;
varying vec4 v_color;
uniform vec4 lyricColor;

void main() {
    vec4 originColor = texture2D(u_texture, v_texCoords);
    vec3 white = vec3(1.0,1.0,1.0);
    vec3 whiteMin = vec3(0.88,0.88,0.88);
    if(originColor.r <= white.r && originColor.g <= white.g && originColor.b <= white.b){
        if (originColor.r >= whiteMin.r && originColor.g >= whiteMin.g && originColor.b >= whiteMin.b) {
            originColor = lyricColor*originColor;
        }
    }
    gl_FragColor = originColor;
}
