precision highp float;
uniform sampler2D u_texture;
uniform sampler2D u_texture1;
varying vec2 v_texCoords;
varying vec4 v_position;
varying vec4 v_color;
uniform float spittingTexureNumx;
uniform float curStep;
void main() {
    float interval = 1.0/spittingTexureNumx;
    vec2 destPos = vec2(v_texCoords.x,v_texCoords.y);
    //vec2 destPos = v_texCoords;
    vec2 finalPos = vec2(destPos.x/spittingTexureNumx + curStep*interval,destPos.y);
    vec4 finalColor = texture2D(u_texture, finalPos);
    gl_FragColor = finalColor;
}



